#!/bin/sh




BE_QUEUE=0

BE_CWMIN=4
BE_CWMAX=10
BE_AIFS=2
BE_TXOP=0
MAC_ACK_RATE=1
RTS_THRESHOLD=2000

TCP_VARIANT=reno


#================================================
#================================================

iwpriv ath0 cwmin $BE_QUEUE 0 $BE_CWMIN 
iwpriv ath0 cwmin $BE_QUEUE 1 $BE_CWMIN 
iwpriv ath0 cwmax $BE_QUEUE 0 $BE_CWMAX 
iwpriv ath0 cwmax $BE_QUEUE 1 $BE_CWMAX 
iwpriv ath0 aifs $BE_QUEUE 0 $BE_AIFS 
iwpriv ath0 aifs $BE_QUEUE 1 $BE_AIFS 
iwpriv ath0 txoplimit $BE_QUEUE 0 $BE_TXOP 
iwpriv ath0 txoplimit $BE_QUEUE 1 $BE_TXOP 
iwconfig ath0 rts $RTS_THRESHOLD

iwpriv ath0 get_cwmin $BE_QUEUE 1 
iwpriv ath0 get_cwmax $BE_QUEUE 1 
iwpriv ath0 get_aifs  $BE_QUEUE 1 
iwpriv ath0 get_txoplimit  $BE_QUEUE 1 
iwpriv ath0 get_cwmin $BE_QUEUE 0
iwpriv ath0 get_cwmax $BE_QUEUE 0 
iwpriv ath0 get_aifs  $BE_QUEUE 0 
iwpriv ath0 get_txoplimit  $BE_QUEUE 0



sysctl -w net.ipv4.route.flush=1
sysctl -w net.ipv4.tcp_no_metrics_save=1 
sysctl -w net.ipv4.tcp_wmem='4096 16384 5000000' 
sysctl -w net.ipv4.tcp_rmem='4096 16384 5000000' 
sysctl -w net.core.wmem_max='5000000' 
sysctl -w net.core.rmem_max='5000000' 
sysctl -w net.core.netdev_max_backlog='1000' 
sysctl dev.wifi0.ackrate=$MAC_ACK_RATE
sysctl net.ipv4.tcp_congestion_control=$TCP_VARIANT
sysctl net.ipv4.tcp_sack=1

