#! /bin/bash

dmesg -c > /dev/null

ifconfig ath0 down
wlanconfig ath0 destroy

rmmod ath_pci
rmmod ath_rate_sample
rmmod wlan_scan_ap
rmmod wlan_scan_sta
rmmod wlan_wep
rmmod ath_hal
rmmod wlan 

insmod madwifiModule/ath_hal.ko 
insmod madwifiModule/wlan.ko 
insmod madwifiModule/ath_rate_sample.ko 
insmod madwifiModule/ath_pci.ko autocreate=none ratectl=sample
insmod madwifiModule/wlan_scan_ap.ko 
insmod madwifiModule/wlan_scan_sta.ko 
insmod madwifiModule/wlan_wep.ko 

wlanconfig ath0 create wlandev wifi0 wlanmode ap 
sleep 1

iwpriv ath0 mode 11g
iwconfig ath0 channel 1
iwconfig ath0 rts 2000 
iwconfig ath0 rate auto essid "HIAP"
iwconfig ath0 key s:guess
ifconfig ath0 inet 192.168.1.1 netmask 255.255.255.0 up 
ifconfig wifi0 txqueuelen 10
ifconfig ath0 txqueuelen 10



iwconfig ath0
ifconfig ath0


sysctl dev.wifi0.txantenna=1
sysctl dev.wifi0.rxantenna=1

sysctl dev.wifi0.magicqueue=1
sysctl dev.wifi0.bufferlimit=250

#sysctl dev.wifi0.magicqueue=2
#sysctl dev.wifi0.bufferlimit=30


./iwpriv.all.sh


sleep 1
service dhcpd restart
