#!/bin/sh


sysctl -w dev.wifi0.magicqueue=2
sysctl -w dev.wifi0.bufferlimit=30
cat /proc/sys/dev/wifi0/magicqueue

	dmesg -c > /dev/null


	# 2 flows from 1 send STA
	ssh -n 10.220.2.37 "sysctl -w dev.wifi0.magicqueue=2; 
		sysctl -w dev.wifi0.bufferlimit=30;
		ifconfig wifi0 txqueuelen 2;
		ifconfig ath0 txqueuelen 2;
		dmesg -c > /dev/null;
		(iperf -c 172.16.2.131 -w 1024K -t $2s  > allinone.sta.astar.buffer.$1.throughput.1.txt &); 
		(iperf -c 172.16.2.131 -w 1024K -t $2s  > allinone.sta.astar.buffer.$1.throughput.2.txt &)" &

	sleep 2;


	echo 11111111111
	# 2 background STAs
	ssh -n 10.220.2.38 "sysctl -w dev.wifi0.magicqueue=1;
                sysctl -w dev.wifi0.bufferlimit=$1;
                ifconfig wifi0 txqueuelen 2;
                ifconfig ath0 txqueuelen 2;
		dmesg -c > /dev/null;
		iperf -c 172.16.2.131 -w 1024K -t $2s > allinone.sta.astar.buffer.$1.throughput.background.1.txt &" &
		
	ssh -n 10.220.2.39 "sysctl -w dev.wifi0.magicqueue=1;
	        sysctl -w dev.wifi0.bufferlimit=$1;
	        ifconfig wifi0 txqueuelen 2;
	        ifconfig ath0 txqueuelen 2;
		dmesg -c > /dev/null;
		iperf -c 172.16.2.131 -w 1024K -t $2s > allinone.sta.astar.buffer.$1.throughput.background.2.txt &" &

	echo 222222222
	



	# recv STAs
	#ssh -n 10.220.2.40 "killall -HUP iperf; iperf -s -w 1024K &" &
	#sleep 2
	#ssh -n 10.220.2.41 "killall -HUP iperf; iperf -s  &" &
	#sleep 2
	
	ssh -n 10.220.1.7 "
		(iperf -c 172.16.1.40 -w 1024K -t $2s > /home/skyahead/allinone.astar.buffer.$1.throu.dl.40.long.txt &); 
		(iperf -c 172.16.1.45 -w 1024K -t $2s > /home/skyahead/allinone.astar.buffer.$1.throu.dl.45.long.txt &); 
		(iperf -c 172.16.1.46 -w 1024K -t $2s > /home/skyahead/allinone.astar.buffer.$1.throu.dl.46.long.txt &)"&
	sleep 2;
	
	echo 3333333333333



	
	
	# short voice
#	ssh -n 10.220.2.42 "killall -HUP short.loopping.sh;
#		sysctl -w dev.wifi0.magicqueue=1;
#	        sysctl -w dev.wifi0.bufferlimit=$1;
# 	        ifconfig wifi0 txqueuelen 2;
#                ifconfig ath0 txqueuelen 2;
#		(./short.loopping.sh $3 &)" &
	
	ssh -n 10.220.2.44 "
		sysctl -w dev.wifi0.magicqueue=2;
		sysctl -w dev.wifi0.bufferlimit=30;
		ifconfig wifi0 txqueuelen 2;
		ifconfig ath0 txqueuelen 2"&

	ssh -n 10.220.1.7 "killall -HUP long.astar.loopping.sh; 
		killall -HUP short.astar.loopping.sh; 
		(/home/skyahead/long.astar.loopping.sh $3 &);  
		(/home/skyahead/short.astar.loopping.sh $3 &); 
		(tcpdump -i eth0 -w /home/skyahead/tcpdump.allinone.astar.txt &)" &
	

	sleep 2
        ssh -n 10.220.1.7 "killall -HUP dl.astar.short.sh;  (/home/skyahead/dl.astar.short.sh &)" &
						










