#!/bin/sh
IP="10.220.2."
#FILE_SAT="sta_working_list"
FILE_SAT=$1

VIDEO_QUEUE=2
VIDEO_CWMIN=5
VIDEO_CWMAX=10
VIDEO_AIFS=6
VIDEO_TXOP=0

VOICE_QUEUE=3
VOICE_CWMIN=2
VOICE_CWMAX=3
VOICE_AIFS=2
VOICE_TXOP=0

iwpriv ath0 cwmin $VIDEO_QUEUE 0 $VIDEO_CWMIN ;
iwpriv ath0 cwmin $VIDEO_QUEUE 1 $VIDEO_CWMIN ;
iwpriv ath0 cwmax $VIDEO_QUEUE 0 $VIDEO_CWMAX ;
iwpriv ath0 cwmax $VIDEO_QUEUE 1 $VIDEO_CWMAX ;
iwpriv ath0 aifs $VIDEO_QUEUE 0 $VIDEO_AIFS ;
iwpriv ath0 aifs $VIDEO_QUEUE 1 $VIDEO_AIFS ;
iwpriv ath0 txoplimit $VIDEO_QUEUE 0 $VIDEO_TXOP ;
iwpriv ath0 txoplimit $VIDEO_QUEUE 1 $VIDEO_TXOP ;
iwpriv ath0 cwmin $VOICE_QUEUE 0 $VOICE_CWMIN ;
iwpriv ath0 cwmin $VOICE_QUEUE 1 $VOICE_CWMIN ;
iwpriv ath0 cwmax $VOICE_QUEUE 0 $VOICE_CWMAX ;
iwpriv ath0 cwmax $VOICE_QUEUE 1 $VOICE_CWMAX ;
iwpriv ath0 aifs $VOICE_QUEUE 0 $VOICE_AIFS ;
iwpriv ath0 aifs $VOICE_QUEUE 1 $VOICE_AIFS ;
iwpriv ath0 txoplimit $VOICE_QUEUE 0 $VOICE_TXOP ;
iwpriv ath0 txoplimit $VOICE_QUEUE 1 $VOICE_TXOP 

for CUR in `cat $FILE_SAT`
do
	echo $CUR
	ssh $IP$CUR "
		iwpriv ath0 cwmin $VIDEO_QUEUE 0 $VIDEO_CWMIN ;
		iwpriv ath0 cwmin $VIDEO_QUEUE 1 $VIDEO_CWMIN ;
		iwpriv ath0 cwmax $VIDEO_QUEUE 0 $VIDEO_CWMAX ;
		iwpriv ath0 cwmax $VIDEO_QUEUE 1 $VIDEO_CWMAX ;
		iwpriv ath0 aifs $VIDEO_QUEUE 0 $VIDEO_AIFS ;
		iwpriv ath0 aifs $VIDEO_QUEUE 1 $VIDEO_AIFS ;
		iwpriv ath0 txoplimit $VIDEO_QUEUE 0 $VIDEO_TXOP ;
		iwpriv ath0 txoplimit $VIDEO_QUEUE 1 $VIDEO_TXOP ;
		iwpriv ath0 cwmin $VOICE_QUEUE 0 $VOICE_CWMIN ;
		iwpriv ath0 cwmin $VOICE_QUEUE 1 $VOICE_CWMIN ;
		iwpriv ath0 cwmax $VOICE_QUEUE 0 $VOICE_CWMAX ;
		iwpriv ath0 cwmax $VOICE_QUEUE 1 $VOICE_CWMAX ;
		iwpriv ath0 aifs $VOICE_QUEUE 0 $VOICE_AIFS ;
		iwpriv ath0 aifs $VOICE_QUEUE 1 $VOICE_AIFS ;
		iwpriv ath0 txoplimit $VOICE_QUEUE 0 $VOICE_TXOP ;
		iwpriv ath0 txoplimit $VOICE_QUEUE 1 $VOICE_TXOP ;
		iwpriv ath0 get_cwmin 2 1 ;
		iwpriv ath0 get_cwmax 2 1 ;
		iwpriv ath0 get_aifs  2 1 ;
		iwpriv ath0 get_cwmin 3 1 ;
		iwpriv ath0 get_cwmax 3 1 ;
		iwpriv ath0 get_aifs  3 1 ;
		sysctl -w net.ipv4.tcp_no_metrics_save=1 ;
		sysctl -w net.ipv4.tcp_wmem='4096 16384 5000000' ;
		sysctl -w net.ipv4.tcp_rmem='4096 16384 5000000' ;
		sysctl -w net.core.wmem_max='5000000' ;
		sysctl -w net.core.rmem_max='5000000' ;
		"
done

